Bug 1251421 - marker: error in brick log: lookup failed for <gfid:00000000-0000-0000-0000-000000000001>/.glusterfs: Operation not permitted
marker: error in brick log: lookup failed for <gfid:00000000-0000-0000-0000-0...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijaikumar Mallikarjuna
:
Depends On:
Blocks: 1251425
  Show dependency treegraph
 
Reported: 2015-08-07 05:34 EDT by Vijaikumar Mallikarjuna
Modified: 2016-05-11 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1251425 (view as bug list)
Environment:
Last Closed: 2015-12-21 04:21:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaikumar Mallikarjuna 2015-08-07 05:34:19 EDT
Below error is seen in the brick log when running the test-case 'tests/bugs/quota/bug-1235182.t'


[2015-08-07 09:30:34.774751] E [marker-quota.c:2462:_mq_get_metadata] (--> /usr/local/lib/libglusterfs.so.0(_gf_log_callingfn+0x1b6)[0x7ff55430e126] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(_mq_get_metadata+0x351)[0x7ff548488531] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(mq_update_dirty_inode_task+0x2fe)[0x7ff5484891fe] (--> /usr/local/lib/libglusterfs.so.0(synctask_wrap+0x12)[0x7ff5543536b2] (--> /lib64/libc.so.6[0x3bc7243bf0] ))))) 0-patchy-marker: lookup failed for <gfid:00000000-0000-0000-0000-000000000001>/.glusterfs: Operation not permitted
Comment 1 Vijaikumar Mallikarjuna 2015-08-07 07:04:18 EDT
Patch submitted upstream: http://review.gluster.org/#/c/11860/
Comment 2 Anand Avati 2015-08-07 08:18:41 EDT
REVIEW: http://review.gluster.org/11860 (quota/marker: update dirty node only if inode->gfid is not NULL) posted (#2) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)
Comment 3 Vijaikumar Mallikarjuna 2015-12-21 04:21:21 EST
Patch: http://review.gluster.org/#/c/11863 fixes the issue in 3.7

Note You need to log in before you can comment on or make changes to this bug.